import React from 'react';
import { StyleSheet, View } from 'react-native';
import { NativeBaseProvider, Text, Box } from 'native-base';
import { DefaultTheme, NavigationContainer } from '@react-navigation/native';
import {createStackNavigator} from '@react-navigation/stack';
import { useTheme } from '@react-navigation/native';
import LandingPage from './components/signup/LandingPage';
import Name from './components/signup/Name';
import Password from './components/signup/Password';
import Username from './components/signup/Username';
import Email from './components/signup/Email';
import Login from './components/signup/Login';
import PersonalInformation from './components/signup/PersonalInformation';
import DefinedAverageStats from './components/signup/DefinedAverageStats';
import DefinedPRs from './components/signup/DefinedPRs';
import UniqueAverageStats from './components/signup/UniqueAverageStats';
import UniquePRs from './components/signup/UniquePRs';
import UploadProfilePicture from './components/signup/UploadProfilePicture';
import Privacy from './components/signup/Privacy';
import Level from './components/signup/Level';
import Interests from './components/signup/Interests';
import MakePost from './components/community/MakePost';
import Communities from './components/community/Communities';
import CreateCommunity from './components/community/CreateCommunity';
import CommunityContent from './components/community/CommunityContent';
import UserProfile from './components/profile/UserProfile';
import EditProfile from './components/profile/EditProfile';
import HomePage from './components/home/HomePage';
import FindFriends from './components/friends/FindFriends';
import Nutrition from './components/nutrition/Nutrition';
import HomeWithNav from './components/home/HomeWithNav';
import MyFriends from './components/friends/MyFriends';
import UpdatePrivacy from './components/profile/UpdatePrivacy';
import FriendProfile from './components/friends/FriendProfile';
import FriendRequests from './components/friends/FriendRequests';
import { LogBox } from 'react-native';

LogBox.ignoreLogs(['Warning: ...']); // Ignore log notification by message
LogBox.ignoreAllLogs();//Ignore all log notifications

//need "ngrok http 3000" because localhost of computer different from localhost of phone
global.localhost = "http://bfe0-128-211-185-214.ngrok.io" 
// global.localhost = "http://localhost:3000"

export default function App() {
  const { colors } = useTheme();
  const Stack = createStackNavigator();
  return (
    <NativeBaseProvider>
      <NavigationContainer theme={DefaultTheme} independent={true}>
      <Stack.Navigator initialRouteName='LandingPage' screenOptions={{headerShown:false}}>
          <Stack.Screen name='LandingPage' component={LandingPage}/>
          <Stack.Screen name='Login' component={Login}/>
          <Stack.Screen name='Name' component={Name}/>
          <Stack.Screen name='Email' component={Email}/>
          <Stack.Screen name='Username' component={Username}/>
          <Stack.Screen name='Password' component={Password}/>
          <Stack.Screen name='PersonalInfo' component={PersonalInformation}/>
          <Stack.Screen name='DefinedAvgStats' component={DefinedAverageStats}/>
          <Stack.Screen name='DefinedPRs' component={DefinedPRs}/>
          <Stack.Screen name='UniqueAvgStats' component={UniqueAverageStats}/>
          <Stack.Screen name='UniquePRs' component={UniquePRs}/>
          <Stack.Screen name='Level' component={Level}/>
          <Stack.Screen name='Interests' component={Interests}/>
          <Stack.Screen name='Privacy' component={Privacy}/>
          <Stack.Screen name='UploadProfilePic' component={UploadProfilePicture}/>
          <Stack.Screen name='Home' component={HomePage}/>
          <Stack.Screen name='Communities' component={Communities}/>
          <Stack.Screen name='CreateCommunity' component={CreateCommunity}/>
          <Stack.Screen name='CommunityContent' component={CommunityContent}/>
          <Stack.Screen name='MakePost' component={MakePost}/>
          <Stack.Screen name='UserProfile' component={UserProfile}/>
          <Stack.Screen name='EditProfile' component={EditProfile}/>
          <Stack.Screen name='FindFriends' component={FindFriends}/>
          <Stack.Screen name='Nutrition' component={Nutrition}/>
          <Stack.Screen name='MyFriends' component={MyFriends}/>
          <Stack.Screen name="UpdatePrivacy" component={UpdatePrivacy}/>
          <Stack.Screen name="FriendProfile" component={FriendProfile}/>
          <Stack.Screen name="FriendRequests" component={FriendRequests}/>
          <Stack.Screen name='HomeWithNav' component={HomeWithNav}/>
        </Stack.Navigator>
      </NavigationContainer>
      {/* <NavBar></NavBar> */}
    </NativeBaseProvider>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center',
  },
});